#include "LabelBg.h"


LabelBg& LabelBg::SetBgColor(Color c0, Color c1, Color c2) {
	BgColor[0] = c0 ;
	BgColor[1] = c1 ;
	BgColor[2] = c2 ;
	return *this;
}


LabelBg& LabelBg::SetFontColor(Color c0) {
	FntClr = c0 ;
	return *this;
}


LabelBg&  LabelBg::On() {
	State = 1 ;
	Refresh();
	return *this; 
}


LabelBg&  LabelBg::Off() {
	State = 0 ;
	Refresh();
	return *this;
}


LabelBg&  LabelBg::SetState(int b) {
	State = b ;
	if (State > 2)
		State = 2 ;
	Refresh();
	return *this;
}


LabelBg::LabelBg() {

	Transparent(false);
	State = 0;
	SetBgColor();
	GrFntClr = GrayColor(128);
};


void LabelBg::Paint(Draw& w) {
	Size sz = GetSize();

	if (!IsTransparent())
		w.DrawRect(0, 0, sz.cx, sz.cy, BgColor[State]);
		if(State) SetInk(FntClr) ; else SetInk(GrFntClr);
	PaintLabel(w, 0, 0, sz.cx, sz.cy, !IsShowEnabled(), false, false, VisibleAccessKeys());
};

